1. Payouts
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Reason Codes
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Webhook
    • On Status Change
  1. Payouts

Create Payout

POST
/payouts

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/payouts' \
--header 'Idempotency-Key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "amount": "string",
    "currency": "string",
    "expires_in": 0,
    "requisite": {
        "type": "string",
        "card_number": "string",
        "card_holder": "string",
        "bank": "string"
    },
    "customer": {
        "fingerprint": "string",
        "ip_address": "string",
        "user_agent": "string"
    },
    "metadata": {}
}'
Response Response Example
201 - Example 1
{
    "data": {
        "id": "string",
        "type": "string",
        "requested": {
            "amount": "string",
            "currency": "string"
        },
        "processed": {
            "amount": "string",
            "currency": "string"
        },
        "requisite": {
            "type": "string",
            "card_number": "string",
            "card_holder": "string",
            "bank": "string"
        },
        "status": "string",
        "expires_at": "string",
        "created_at": "string",
        "updated_at": "string",
        "metadata": {}
    }
}
Previous
Refund Payment
Next
List Payouts
Built with